Subject: bug#33280: Guix weather does not error nicely with 502 errors from hydra

From: swedebugia <[email-masked]>
Date: Tue, 6 Nov 2018 20:07:02 +0100

Hi

On 2018-11-06 15:23, Ludovic Courtès wrote:
> Hi,
>
> Mark H Weaver <[email-masked]> skribis:
>
>> swedebugia <[email-masked]> writes:
>>
>>> I did not change the default substitute-urls in 0.15
>>>
>>> This is probably low priority.
>>>
>>> sdb@komputilo ~$ guix weather
>>> computing 7,850 package derivations for x86_64-linux...
>>> looking for 8,167 store items on https://mirror.hydra.gnu.org...
>>> guix weather: warning: while fetching
>>> 'https://mirror.hydra.gnu.org/nix-cache-info': 502 ("Bad Gateway")
>>> guix weather: warning: ignoring substitute server at
>>> '"https://mirror.hydra.gnu.org"'
>>> https://mirror.hydra.gnu.org
>>>    .0% substitutes available (0 out of 8,167)
>>>    unknown substitute sizes
>>>    0.0 MiB on disk (uncompressed)
>>>    0.000 seconds per request (2.7 seconds in total)
>>>    3,081.9 requests per second
>>>    (continuous integration information unavailable)
>>>
>>> We should omit everything after the first warning I think.
>> At the time you wrote this, hydra.gnu.org was partially back up, but
>> with several of the important daemons not yet started.  I've since
>> started the daemons, so it might work now.
> Also, I would argue that this behavior (printing a warning and ignoring
> the faulty server) is good.  I can’t think of a better way to handle
> this situation.
>
> Thoughts?

Thanks for taking your time on this.

This is also near or in the bikeshedding territory :p

1 thing that is wrong in the message above is the number of requests per 
second.

   3,081.9 requests per second

This cannot be right.

-- 
Cheers
Swedebugia